Class Index | File Index

## Classes

- _global_
- Boolean
- Date
- Function
- Object
- orion.breadcrumbs.BreadCrumbs
- orion.cm.Configuration
- orion.cm.ConfigurationAdmin
- orion.cm.ConfigurationProperties
- orion.cm.ManagedService
- orion.commands.Command
- orion.commands.CommandKeyBinding
- orion.commands.CommandParameter
- orion.commands.CommandService
- orion.commands.ParametersDescription
- orion.commands.URLBinding
- orion.commonHTMLFragments
- orion.compare.DiffProvider
- orion.compare.rulers.CompareRuler
- orion.compare.rulers.LineNumberCompareRuler
- orion.compareUtils
- orion.contentAssist.CssContentAssistProvider
- orion.contentAssist.HTMLContentAssistProvider
- orion.core.ContentType
- orion.core.ContentTypeService
- orion.dialogs.DialogService
- orion.DiffTreeNavigator.DiffTreeNavigator
- orion.DiffTreeNavigator.inlineDiffBlockFeeder
- orion.DiffTreeNavigator.TwoWayDiffBlockFeeder
- orion.edit.Dispatcher
- orion.editor.ContentAssist
- orion.editor.ContentAssistMode
- orion.editor.ContentAssistProvider
- orion.editor.ContentAssistProvider.Context
- orion.editor.ContentAssistWidget
- orion.editor.Editor
- orion.editor.JSTemplateContentAssistProvider
- orion.editor.regex
- orion.editor.StyleReadyEvent
- orion.editor.StyleReadyEvent#LineStyle
- orion.editor.TextMateStyler
- orion.EventTarget
- orion.explorer.Explorer
- orion.explorer.ExplorerFlatModel
- orion.explorer.ExplorerModel
- orion.explorer.SelectionRenderer
- orion.ExplorerNavHandler.ExplorerNavDict
- orion.explorers.explorer-table.FileExplorer
- orion.explorers.ExplorerNavHandler.ExplorerNavHandler
- orion.extensionCommands
- orion.favorites.FavoritesService
- orion.fileClient.FileClient
- orion.fileCommands
- orion.fileUtils
- orion.git.GitCommitExplorer
- orion.git.GitLogExplorer
- orion.git.GitRepositoryExplorer
- orion.git.GitReviewRequestExplorer
- orion.git.GitService
- orion.git.GitStatusExplorer
- orion.git.widgets.OpenCommitDialog
- orion.globalCommands
- orion.highlight.SyntaxHighlighter
- orion.links.TextLinkService
- orion.log.LogService
- orion.metatype.AttributeDefinition
- orion.metatype.MetaTypeRegistry
- orion.metatype.ObjectClassDefinition
- orion.mirror.CodeMirrorStyler
- orion.mirror.Mirror
- orion.mirror.MirrorLineStyle
- orion.mirror.ModeApplier
- orion.navoutliner.NavigationOutliner
- orion.outliner.Outliner
- orion.outliner.OutlineService
- orion.parameterCollectors.CommandParameterCollector
- orion.pluginregistry.Plugin
- orion.pluginregistry.PluginRegistry
- orion.preferences.Preferences
- orion.preferences.PreferencesService
- orion.problems.ProblemService
- orion.profile.usersClient.UsersClient
- orion.progress.ProgressService
- orion.searchClient.Searcher
- orion.searches.SavedSearches
- orion.Searches.SearchList
- orion.searchResults.SearchResultsGenerator
- orion.searchUtils
- orion.selection.Selection
- orion.serviceregistry.ServiceReference
- orion.serviceregistry.ServiceRegistration
- orion.serviceregistry.ServiceRegistry
- orion.ServiceTracker
- orion.settings.Setting
- orion.settings.SettingsRegistry
- orion.shell.Command
- orion.shell.Parameter
- orion.shell.ParameterType
- orion.shell.Shell
- orion.sites.SiteClient
- orion.sites.SiteConfiguration
- orion.sites.SiteService
- orion.sites.ViewOnSiteTree
- orion.status.StatusReportingService
- orion.tasks.TaskList
- orion.textview.ActionDescription
- orion.textview.Annotation
- orion.textview.AnnotationIterator
- orion.textview.AnnotationModel
- orion.textview.AnnotationRuler
- orion.textview.AnnotationStyler
- orion.textview.AnnotationType
- orion.textview.AnnotationTypeList
- orion.textview.BlurEvent
- orion.textview.ContextMenuEvent
- orion.textview.DestroyEvent
- orion.textview.EventTarget
- orion.textview.FindIterator
- orion.textview.FindOptions
- orion.textview.FocusEvent
- orion.textview.FoldingAnnotation
- orion.textview.KeyBinding
- orion.textview.LineNumberRuler
- orion.textview.LineStyleEvent
- orion.textview.ModelChangedEvent
- orion.textview.ModelChangingEvent
- orion.textview.ModifyEvent
- orion.textview.OverviewRuler
- orion.textview.Projection
- orion.textview.ProjectionTextModel
- orion.textview.Ruler
- orion.textview.ScrollEvent
- orion.textview.Selection
- orion.textview.SelectionEvent
- orion.textview.Style
- orion.textview.StyleRange
- orion.textview.TextModel
- orion.textview.TextView
- orion.textview.TextViewOptions
- orion.textview.UndoStack
- orion.textview.VerifyEvent
- orion.TreeModelIterator.TreeModelIterator
- orion.treetable.TableTree
- orion.uiUtils
- orion.util
- orion.widgets.OpenResourceDialog
- orion.widgets.Section
- orion.widgets.SiteEditor
- orion.xhr
- orion.xhr.Result
- String

# Class orion.commands.ParametersDescription

Defined in: </shared/eclipse/e4/orion/I201210191304/plugins/org.eclipse.orion.client.core/web/orion/commands.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| orion.commands.ParametersDescription(parameters, options, getParameters) A ParametersDescription defines the parameters required by a command, and whether there are additional optional parameters that can be specified.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| forEach(func) Evaluate the specified function for each parameter.
| hasOptionalParameters() Return a boolean indicating whether additional optional parameters are available.
| hasParameters() Returns a boolean indicating whether any parameters have been specified.
| makeCopy() Make a copy of this description.
| parameterNamed(name) Returns the CommandParameter with the given name, or `null` if there is no parameter by that name.
| setValue(name, value) Sets the value of the parameter with the given name.
| shouldCollectParameters() Returns a boolean indicating whether a collector should try to collect parameters.
| updateParameters(commandInvocation) Update the stored parameters by running the stored function if one has been supplied.
| valueFor(name) Returns the value of the parameter with the given name, or `null` if there is no parameter by that name, or no value for that parameter.

Class Detail
orion.commands.ParametersDescription(parameters, options, getParameters)
A ParametersDescription defines the parameters required by a command, and whether there are additional optional parameters that can be specified. The command service will attempt to collect required parameters before calling a command callback. The command is expected to provide UI for optional parameter, when the user has signalled a desire to provide optional information.

Parameters:
{orion.commands.CommandParameter[]} parameters
  an array of CommandParameters that are required
{Object} options
  The parameters description options object.
{Boolean} options.hasOptionalParameters
  specifies whether there are additional optional parameters that could be collected. If true, then the collector will show an affordance for invoking an additional options collector and the client can use the optionsRequested flag to determine whether additional parameters should be shown. Default is false.
{Boolean} options.clientCollect
  specifies whether the client will collect the parameters in its callback. Default is false, which means the callback will not be called until an attempt has been made to collect parameters.
{Function} getParameters Optional
  a function used to define the parameters just before the command is invoked. This is used when a particular invocation of the command will change the parameters. Any stored parameters will be ignored, and replaced with those returned by this function. If no parameters (empty array or null) are returned, then it is assumed that the command should not try to obtain parameters before invoking the command's callback. The function will be passed the CommandInvocation as a parameter.

Method Detail
forEach(func)
Evaluate the specified function for each parameter.

Parameters:
{Function} func
  a function which operates on a provided command parameter

hasOptionalParameters()
Return a boolean indicating whether additional optional parameters are available.

{Boolean} hasParameters()
Returns a boolean indicating whether any parameters have been specified.

Returns:
  {Boolean} whether there are parameters to collect.

makeCopy()
Make a copy of this description. Used for collecting values when a client doesn't want the values to be persisted across different objects.

{orion.command.CommandParameter} parameterNamed(name)
Returns the CommandParameter with the given name, or `null` if there is no parameter by that name.

Parameters:
{String} name
  the name of the parameter

Returns:
  {orion.command.CommandParameter} the parameter with the given name

setValue(name, value)
Sets the value of the parameter with the given name.

Parameters:
{String} name
  the name of the parameter
{String} value
  the value of the parameter with the given name

{Boolean} shouldCollectParameters()
Returns a boolean indicating whether a collector should try to collect parameters. If there are no parameters specified, or the client is expecting to collect them, this will return `false`.

Returns:
  {Boolean} indicating whether the caller should attempt to collect the parameters.

updateParameters(commandInvocation)
Update the stored parameters by running the stored function if one has been supplied.

Parameters:
commandInvocation

{String} valueFor(name)
Returns the value of the parameter with the given name, or `null` if there is no parameter by that name, or no value for that parameter.

Parameters:
{String} name
  the name of the parameter

Returns:
  {String} the value of the parameter with the given name

Documentation generated by JsDoc Toolkit 2.4.0 on Fri Oct 19 2012 13:08:13 GMT-0400 (EDT)